# CKAN
ckan.check.url =${ckan.check.url}
ckan.browse.url=${ckan.browse.url}
validation.schema.json.url=${validation.schema.json.url}

# HARVESTER
harvester.url.rest=${harvester.url.rest}

dcatap_dataclient.page_limit=${dcatap_dataclient.page_limit}

# Specifies the interval when the service should gather and fetch data
# in cron schedule
timer.validation.interval=0 37 15 ? * Fri
timer.similarity.interval=0 37 15 ? * Fri

# URL Checker timeouts in seconds
url.checker.connectiontimeout=10
url.checker.sockettimeout=10

# Triplestore
triplestore.url=${triplestore.url}
triplestore.graph=${triplestore.graph}
triplestore.reference.uri=${triplestore.reference.uri}

# Cache refresh
dashboard.url.localhost=http://localhost:8080/mqa-service/en

# Path to store the report files
report.directory=${report.directory}

# Available languages for the report (e.g. en,de,fr)
report.languages=de,en,es,fr,it,nl,pl,sk,sv

maintenance=false

highcharts.url=http://127.0.0.1:3003

admin.token=sampleToken

log.interval=1

# The directory in which the files containing the dataset fingerprints will be stored
fingerprint.dir=/path/to/fp_dir

# The path to the XML-file containing the fingerprinting schedules
fingerprint.schedule=/path/to/schedule.xml

# URL to use for similarity SPARQL queries
fingerprint.url=${fingerprint.url}

# The path to the json file containing the list of machine readable formats
machinereadableformats.url=https://gitlab.com/european-data-portal/machine-readable-formats/raw/release/formats.json

# Base URL to the service performing url checks
url.check.endpoint=${url.check.endpoint}

# Host URL this instance runs on. Required for callback
host.url=${host.url}

# Host URL this instance runs on. Required for callback
metric.cache.url=${metric.cache.url}
